org.eclipse.microprofile.lra.tck.participant.api

## Class ParticipatingTckResource

- java.lang.Object
- - org.eclipse.microprofile.lra.tck.participant.api.ParticipatingTckResource

    @ApplicationScoped
     @Path(value="participating-tck-resource")
    public class ParticipatingTckResource
    extends Object

### Field Summary

Fields
`static String` `ACCEPT_PATH`
`static String` `JOIN_WITH_EXISTING_LRA_PATH`
`static String` `JOIN_WITH_EXISTING_LRA_PATH2`
`static String` `JOIN_WITH_NEW_LRA_PATH`
`static String` `LEAVE_PATH`
`static String` `RECOVERY_PARAM`
`static String` `TCK_PARTICIPANT_RESOURCE_PATH`

### Constructor Summary

Constructors
Constructor and Description
`ParticipatingTckResource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `acceptLRA(Integer recoveryPasses)`
`jakarta.ws.rs.core.Response` `compensateWork(URI lraId)`
`jakarta.ws.rs.core.Response` `completeWork(URI lraId)`
`jakarta.ws.rs.core.Response` `getAcceptLRA()`
`jakarta.ws.rs.core.Response` `joinWithExistingLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `joinWithExistingLRA2(URI lraId)`
`jakarta.ws.rs.core.Response` `joinWithNewLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `leaveLRA()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TCK_PARTICIPANT_RESOURCE_PATH

    public static final String TCK_PARTICIPANT_RESOURCE_PATH

See Also:
  Constant Field Values

#### JOIN_WITH_EXISTING_LRA_PATH

    public static final String JOIN_WITH_EXISTING_LRA_PATH

See Also:
  Constant Field Values

#### JOIN_WITH_EXISTING_LRA_PATH2

    public static final String JOIN_WITH_EXISTING_LRA_PATH2

See Also:
  Constant Field Values

#### JOIN_WITH_NEW_LRA_PATH

    public static final String JOIN_WITH_NEW_LRA_PATH

See Also:
  Constant Field Values

#### LEAVE_PATH

    public static final String LEAVE_PATH

See Also:
  Constant Field Values

#### ACCEPT_PATH

    public static final String ACCEPT_PATH

See Also:
  Constant Field Values

#### RECOVERY_PARAM

    public static final String RECOVERY_PARAM

See Also:
  Constant Field Values

### Constructor Detail

#### ParticipatingTckResource

    public ParticipatingTckResource()

### Method Detail

#### compensateWork

    @PUT
     @Path(value="/compensate")
    public jakarta.ws.rs.core.Response compensateWork(@HeaderParam(value="Long-Running-Action")
                                                                                       URI lraId)

#### completeWork

    @PUT
     @Path(value="/complete")
    public jakarta.ws.rs.core.Response completeWork(@HeaderParam(value="Long-Running-Action")
                                                                                   URI lraId)

#### acceptLRA

    @PUT
     @Path(value="/accept")
    public jakarta.ws.rs.core.Response acceptLRA(@QueryParam(value="recoveryCount") @DefaultValue(value="0")
                                                                              Integer recoveryPasses)

#### getAcceptLRA

    @GET
     @Path(value="/accept")
    public jakarta.ws.rs.core.Response getAcceptLRA()

#### leaveLRA

    @PUT
     @Path(value="/leave")
    public jakarta.ws.rs.core.Response leaveLRA()

#### joinWithExistingLRA

    @PUT
     @Path(value="/join-with-existing-lra")
    public jakarta.ws.rs.core.Response joinWithExistingLRA(@HeaderParam(value="Long-Running-Action")
                                                                                                        URI lraId)

#### joinWithExistingLRA2

    @PUT
     @Path(value="/join-with-existing-lra2")
    public jakarta.ws.rs.core.Response joinWithExistingLRA2(@HeaderParam(value="Long-Running-Action")
                                                                                                          URI lraId)

#### joinWithNewLRA

    @PUT
     @Path(value="/join-with-new-LRA")
    public jakarta.ws.rs.core.Response joinWithNewLRA(@HeaderParam(value="Long-Running-Action")
                                                                                              URI lraId)